### YamlMime:ManagedReference
items:
- uid: adas_core.Domain.Models.Responses.PaginationResponse`1
  commentId: T:adas_core.Domain.Models.Responses.PaginationResponse`1
  id: PaginationResponse`1
  parent: adas_core.Domain.Models.Responses
  children:
  - adas_core.Domain.Models.Responses.PaginationResponse`1.#ctor(System.Collections.Generic.List{`0},System.Int32,System.Int32,System.Int64)
  - adas_core.Domain.Models.Responses.PaginationResponse`1.Data
  - adas_core.Domain.Models.Responses.PaginationResponse`1.PageNumber
  - adas_core.Domain.Models.Responses.PaginationResponse`1.PageSize
  - adas_core.Domain.Models.Responses.PaginationResponse`1.TotalPages
  - adas_core.Domain.Models.Responses.PaginationResponse`1.TotalRecords
  langs:
  - csharp
  - vb
  name: PaginationResponse<T>
  nameWithType: PaginationResponse<T>
  fullName: adas_core.Domain.Models.Responses.PaginationResponse<T>
  type: Class
  source:
    remote:
      path: adas-core.Domain/Models/Responses/PaginationResponse.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: PaginationResponse
    path: ../../adas-core.Domain/Models/Responses/PaginationResponse.cs
    startLine: 6
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.Responses
  summary: Represents a generic response wrapper for paginated data, typically used to return a subset of items along with associated pagination metadata.
  example: []
  syntax:
    content: public class PaginationResponse<T>
    typeParameters:
    - id: T
      description: The type of the items contained in the paginated response.
    content.vb: Public Class PaginationResponse(Of T)
  inheritance:
  - System.Object
  inheritedMembers:
  - System.Object.Equals(System.Object)
  - System.Object.Equals(System.Object,System.Object)
  - System.Object.GetHashCode
  - System.Object.GetType
  - System.Object.MemberwiseClone
  - System.Object.ReferenceEquals(System.Object,System.Object)
  - System.Object.ToString
  extensionMethods:
  - System.Object.adas_core.Domain.Utils.NumberUtils.IsNumber
  - System.Object.adas_core.Domain.Utils.NumberUtils.ToDouble
  - System.Object.adas_core.Domain.Utils.ObjectUtils.ToStr
  nameWithType.vb: PaginationResponse(Of T)
  fullName.vb: adas_core.Domain.Models.Responses.PaginationResponse(Of T)
  name.vb: PaginationResponse(Of T)
- uid: adas_core.Domain.Models.Responses.PaginationResponse`1.#ctor(System.Collections.Generic.List{`0},System.Int32,System.Int32,System.Int64)
  commentId: M:adas_core.Domain.Models.Responses.PaginationResponse`1.#ctor(System.Collections.Generic.List{`0},System.Int32,System.Int32,System.Int64)
  id: '#ctor(System.Collections.Generic.List{`0},System.Int32,System.Int32,System.Int64)'
  parent: adas_core.Domain.Models.Responses.PaginationResponse`1
  langs:
  - csharp
  - vb
  name: PaginationResponse(List<T>, int, int, long)
  nameWithType: PaginationResponse<T>.PaginationResponse(List<T>, int, int, long)
  fullName: adas_core.Domain.Models.Responses.PaginationResponse<T>.PaginationResponse(System.Collections.Generic.List<T>, int, int, long)
  type: Constructor
  source:
    remote:
      path: adas-core.Domain/Models/Responses/PaginationResponse.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: .ctor
    path: ../../adas-core.Domain/Models/Responses/PaginationResponse.cs
    startLine: 8
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.Responses
  syntax:
    content: public PaginationResponse(List<T> data, int pageNumber, int pageSize, long totalRecords)
    parameters:
    - id: data
      type: System.Collections.Generic.List{{T}}
    - id: pageNumber
      type: System.Int32
    - id: pageSize
      type: System.Int32
    - id: totalRecords
      type: System.Int64
    content.vb: Public Sub New(data As List(Of T), pageNumber As Integer, pageSize As Integer, totalRecords As Long)
  overload: adas_core.Domain.Models.Responses.PaginationResponse`1.#ctor*
  nameWithType.vb: PaginationResponse(Of T).New(List(Of T), Integer, Integer, Long)
  fullName.vb: adas_core.Domain.Models.Responses.PaginationResponse(Of T).New(System.Collections.Generic.List(Of T), Integer, Integer, Long)
  name.vb: New(List(Of T), Integer, Integer, Long)
- uid: adas_core.Domain.Models.Responses.PaginationResponse`1.PageNumber
  commentId: P:adas_core.Domain.Models.Responses.PaginationResponse`1.PageNumber
  id: PageNumber
  parent: adas_core.Domain.Models.Responses.PaginationResponse`1
  langs:
  - csharp
  - vb
  name: PageNumber
  nameWithType: PaginationResponse<T>.PageNumber
  fullName: adas_core.Domain.Models.Responses.PaginationResponse<T>.PageNumber
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/Responses/PaginationResponse.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: PageNumber
    path: ../../adas-core.Domain/Models/Responses/PaginationResponse.cs
    startLine: 19
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.Responses
  syntax:
    content: public int PageNumber { get; set; }
    parameters: []
    return:
      type: System.Int32
    content.vb: Public Property PageNumber As Integer
  overload: adas_core.Domain.Models.Responses.PaginationResponse`1.PageNumber*
  nameWithType.vb: PaginationResponse(Of T).PageNumber
  fullName.vb: adas_core.Domain.Models.Responses.PaginationResponse(Of T).PageNumber
- uid: adas_core.Domain.Models.Responses.PaginationResponse`1.PageSize
  commentId: P:adas_core.Domain.Models.Responses.PaginationResponse`1.PageSize
  id: PageSize
  parent: adas_core.Domain.Models.Responses.PaginationResponse`1
  langs:
  - csharp
  - vb
  name: PageSize
  nameWithType: PaginationResponse<T>.PageSize
  fullName: adas_core.Domain.Models.Responses.PaginationResponse<T>.PageSize
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/Responses/PaginationResponse.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: PageSize
    path: ../../adas-core.Domain/Models/Responses/PaginationResponse.cs
    startLine: 20
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.Responses
  syntax:
    content: public int PageSize { get; set; }
    parameters: []
    return:
      type: System.Int32
    content.vb: Public Property PageSize As Integer
  overload: adas_core.Domain.Models.Responses.PaginationResponse`1.PageSize*
  nameWithType.vb: PaginationResponse(Of T).PageSize
  fullName.vb: adas_core.Domain.Models.Responses.PaginationResponse(Of T).PageSize
- uid: adas_core.Domain.Models.Responses.PaginationResponse`1.TotalPages
  commentId: P:adas_core.Domain.Models.Responses.PaginationResponse`1.TotalPages
  id: TotalPages
  parent: adas_core.Domain.Models.Responses.PaginationResponse`1
  langs:
  - csharp
  - vb
  name: TotalPages
  nameWithType: PaginationResponse<T>.TotalPages
  fullName: adas_core.Domain.Models.Responses.PaginationResponse<T>.TotalPages
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/Responses/PaginationResponse.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: TotalPages
    path: ../../adas-core.Domain/Models/Responses/PaginationResponse.cs
    startLine: 22
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.Responses
  syntax:
    content: public long TotalPages { get; set; }
    parameters: []
    return:
      type: System.Int64
    content.vb: Public Property TotalPages As Long
  overload: adas_core.Domain.Models.Responses.PaginationResponse`1.TotalPages*
  nameWithType.vb: PaginationResponse(Of T).TotalPages
  fullName.vb: adas_core.Domain.Models.Responses.PaginationResponse(Of T).TotalPages
- uid: adas_core.Domain.Models.Responses.PaginationResponse`1.TotalRecords
  commentId: P:adas_core.Domain.Models.Responses.PaginationResponse`1.TotalRecords
  id: TotalRecords
  parent: adas_core.Domain.Models.Responses.PaginationResponse`1
  langs:
  - csharp
  - vb
  name: TotalRecords
  nameWithType: PaginationResponse<T>.TotalRecords
  fullName: adas_core.Domain.Models.Responses.PaginationResponse<T>.TotalRecords
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/Responses/PaginationResponse.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: TotalRecords
    path: ../../adas-core.Domain/Models/Responses/PaginationResponse.cs
    startLine: 23
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.Responses
  syntax:
    content: public long TotalRecords { get; set; }
    parameters: []
    return:
      type: System.Int64
    content.vb: Public Property TotalRecords As Long
  overload: adas_core.Domain.Models.Responses.PaginationResponse`1.TotalRecords*
  nameWithType.vb: PaginationResponse(Of T).TotalRecords
  fullName.vb: adas_core.Domain.Models.Responses.PaginationResponse(Of T).TotalRecords
- uid: adas_core.Domain.Models.Responses.PaginationResponse`1.Data
  commentId: P:adas_core.Domain.Models.Responses.PaginationResponse`1.Data
  id: Data
  parent: adas_core.Domain.Models.Responses.PaginationResponse`1
  langs:
  - csharp
  - vb
  name: Data
  nameWithType: PaginationResponse<T>.Data
  fullName: adas_core.Domain.Models.Responses.PaginationResponse<T>.Data
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/Responses/PaginationResponse.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Data
    path: ../../adas-core.Domain/Models/Responses/PaginationResponse.cs
    startLine: 24
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.Responses
  syntax:
    content: public List<T> Data { get; set; }
    parameters: []
    return:
      type: System.Collections.Generic.List{{T}}
    content.vb: Public Property Data As List(Of T)
  overload: adas_core.Domain.Models.Responses.PaginationResponse`1.Data*
  nameWithType.vb: PaginationResponse(Of T).Data
  fullName.vb: adas_core.Domain.Models.Responses.PaginationResponse(Of T).Data
references:
- uid: adas_core.Domain.Models.Responses
  commentId: N:adas_core.Domain.Models.Responses
  href: adas_core.html
  name: adas_core.Domain.Models.Responses
  nameWithType: adas_core.Domain.Models.Responses
  fullName: adas_core.Domain.Models.Responses
  spec.csharp:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Models
    name: Models
    href: adas_core.Domain.Models.html
  - name: .
  - uid: adas_core.Domain.Models.Responses
    name: Responses
    href: adas_core.Domain.Models.Responses.html
  spec.vb:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Models
    name: Models
    href: adas_core.Domain.Models.html
  - name: .
  - uid: adas_core.Domain.Models.Responses
    name: Responses
    href: adas_core.Domain.Models.Responses.html
- uid: System.Object
  commentId: T:System.Object
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object
  name: object
  nameWithType: object
  fullName: object
  nameWithType.vb: Object
  fullName.vb: Object
  name.vb: Object
- uid: System.Object.Equals(System.Object)
  commentId: M:System.Object.Equals(System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  name: Equals(object)
  nameWithType: object.Equals(object)
  fullName: object.Equals(object)
  nameWithType.vb: Object.Equals(Object)
  fullName.vb: Object.Equals(Object)
  name.vb: Equals(Object)
  spec.csharp:
  - uid: System.Object.Equals(System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.Equals(System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.Equals(System.Object,System.Object)
  commentId: M:System.Object.Equals(System.Object,System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  name: Equals(object, object)
  nameWithType: object.Equals(object, object)
  fullName: object.Equals(object, object)
  nameWithType.vb: Object.Equals(Object, Object)
  fullName.vb: Object.Equals(Object, Object)
  name.vb: Equals(Object, Object)
  spec.csharp:
  - uid: System.Object.Equals(System.Object,System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.Equals(System.Object,System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.GetHashCode
  commentId: M:System.Object.GetHashCode
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  name: GetHashCode()
  nameWithType: object.GetHashCode()
  fullName: object.GetHashCode()
  nameWithType.vb: Object.GetHashCode()
  fullName.vb: Object.GetHashCode()
  spec.csharp:
  - uid: System.Object.GetHashCode
    name: GetHashCode
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.GetHashCode
    name: GetHashCode
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  - name: (
  - name: )
- uid: System.Object.GetType
  commentId: M:System.Object.GetType
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  name: GetType()
  nameWithType: object.GetType()
  fullName: object.GetType()
  nameWithType.vb: Object.GetType()
  fullName.vb: Object.GetType()
  spec.csharp:
  - uid: System.Object.GetType
    name: GetType
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.GetType
    name: GetType
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  - name: (
  - name: )
- uid: System.Object.MemberwiseClone
  commentId: M:System.Object.MemberwiseClone
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  name: MemberwiseClone()
  nameWithType: object.MemberwiseClone()
  fullName: object.MemberwiseClone()
  nameWithType.vb: Object.MemberwiseClone()
  fullName.vb: Object.MemberwiseClone()
  spec.csharp:
  - uid: System.Object.MemberwiseClone
    name: MemberwiseClone
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.MemberwiseClone
    name: MemberwiseClone
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  - name: (
  - name: )
- uid: System.Object.ReferenceEquals(System.Object,System.Object)
  commentId: M:System.Object.ReferenceEquals(System.Object,System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  name: ReferenceEquals(object, object)
  nameWithType: object.ReferenceEquals(object, object)
  fullName: object.ReferenceEquals(object, object)
  nameWithType.vb: Object.ReferenceEquals(Object, Object)
  fullName.vb: Object.ReferenceEquals(Object, Object)
  name.vb: ReferenceEquals(Object, Object)
  spec.csharp:
  - uid: System.Object.ReferenceEquals(System.Object,System.Object)
    name: ReferenceEquals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.ReferenceEquals(System.Object,System.Object)
    name: ReferenceEquals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.ToString
  commentId: M:System.Object.ToString
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  name: ToString()
  nameWithType: object.ToString()
  fullName: object.ToString()
  nameWithType.vb: Object.ToString()
  fullName.vb: Object.ToString()
  spec.csharp:
  - uid: System.Object.ToString
    name: ToString
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.ToString
    name: ToString
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  - name: (
  - name: )
- uid: System.Object.adas_core.Domain.Utils.NumberUtils.IsNumber
  commentId: M:adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  parent: adas_core.Domain.Utils.NumberUtils
  definition: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  name: IsNumber(object)
  nameWithType: NumberUtils.IsNumber(object)
  fullName: adas_core.Domain.Utils.NumberUtils.IsNumber(object)
  nameWithType.vb: NumberUtils.IsNumber(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.IsNumber(Object)
  name.vb: IsNumber(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.adas_core.Domain.Utils.NumberUtils.ToDouble
  commentId: M:adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  parent: adas_core.Domain.Utils.NumberUtils
  definition: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  name: ToDouble(object)
  nameWithType: NumberUtils.ToDouble(object)
  fullName: adas_core.Domain.Utils.NumberUtils.ToDouble(object)
  nameWithType.vb: NumberUtils.ToDouble(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.ToDouble(Object)
  name.vb: ToDouble(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.adas_core.Domain.Utils.ObjectUtils.ToStr
  commentId: M:adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  parent: adas_core.Domain.Utils.ObjectUtils
  definition: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  name: ToStr(object)
  nameWithType: ObjectUtils.ToStr(object)
  fullName: adas_core.Domain.Utils.ObjectUtils.ToStr(object)
  nameWithType.vb: ObjectUtils.ToStr(Object)
  fullName.vb: adas_core.Domain.Utils.ObjectUtils.ToStr(Object)
  name.vb: ToStr(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System
  commentId: N:System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system
  name: System
  nameWithType: System
  fullName: System
- uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  commentId: M:adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  isExternal: true
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  name: IsNumber(object)
  nameWithType: NumberUtils.IsNumber(object)
  fullName: adas_core.Domain.Utils.NumberUtils.IsNumber(object)
  nameWithType.vb: NumberUtils.IsNumber(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.IsNumber(Object)
  name.vb: IsNumber(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: adas_core.Domain.Utils.NumberUtils
  commentId: T:adas_core.Domain.Utils.NumberUtils
  parent: adas_core.Domain.Utils
  href: adas_core.Domain.Utils.NumberUtils.html
  name: NumberUtils
  nameWithType: NumberUtils
  fullName: adas_core.Domain.Utils.NumberUtils
- uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  commentId: M:adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  isExternal: true
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  name: ToDouble(object)
  nameWithType: NumberUtils.ToDouble(object)
  fullName: adas_core.Domain.Utils.NumberUtils.ToDouble(object)
  nameWithType.vb: NumberUtils.ToDouble(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.ToDouble(Object)
  name.vb: ToDouble(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  commentId: M:adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  isExternal: true
  href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  name: ToStr(object)
  nameWithType: ObjectUtils.ToStr(object)
  fullName: adas_core.Domain.Utils.ObjectUtils.ToStr(object)
  nameWithType.vb: ObjectUtils.ToStr(Object)
  fullName.vb: adas_core.Domain.Utils.ObjectUtils.ToStr(Object)
  name.vb: ToStr(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: adas_core.Domain.Utils.ObjectUtils
  commentId: T:adas_core.Domain.Utils.ObjectUtils
  parent: adas_core.Domain.Utils
  href: adas_core.Domain.Utils.ObjectUtils.html
  name: ObjectUtils
  nameWithType: ObjectUtils
  fullName: adas_core.Domain.Utils.ObjectUtils
- uid: adas_core.Domain.Utils
  commentId: N:adas_core.Domain.Utils
  href: adas_core.html
  name: adas_core.Domain.Utils
  nameWithType: adas_core.Domain.Utils
  fullName: adas_core.Domain.Utils
  spec.csharp:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Utils
    name: Utils
    href: adas_core.Domain.Utils.html
  spec.vb:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Utils
    name: Utils
    href: adas_core.Domain.Utils.html
- uid: adas_core.Domain.Models.Responses.PaginationResponse`1.#ctor*
  commentId: Overload:adas_core.Domain.Models.Responses.PaginationResponse`1.#ctor
  href: adas_core.Domain.Models.Responses.PaginationResponse-1.html#adas_core_Domain_Models_Responses_PaginationResponse_1__ctor_System_Collections_Generic_List__0__System_Int32_System_Int32_System_Int64_
  name: PaginationResponse
  nameWithType: PaginationResponse<T>.PaginationResponse
  fullName: adas_core.Domain.Models.Responses.PaginationResponse<T>.PaginationResponse
  nameWithType.vb: PaginationResponse(Of T).New
  fullName.vb: adas_core.Domain.Models.Responses.PaginationResponse(Of T).New
  name.vb: New
- uid: System.Collections.Generic.List{{T}}
  commentId: T:System.Collections.Generic.List{`0}
  parent: System.Collections.Generic
  definition: System.Collections.Generic.List`1
  href: https://learn.microsoft.com/dotnet/api/system.collections.generic.list-1
  name: List<T>
  nameWithType: List<T>
  fullName: System.Collections.Generic.List<T>
  nameWithType.vb: List(Of T)
  fullName.vb: System.Collections.Generic.List(Of T)
  name.vb: List(Of T)
  spec.csharp:
  - uid: System.Collections.Generic.List`1
    name: List
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.list-1
  - name: <
  - name: T
  - name: '>'
  spec.vb:
  - uid: System.Collections.Generic.List`1
    name: List
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.list-1
  - name: (
  - name: Of
  - name: " "
  - name: T
  - name: )
- uid: System.Int32
  commentId: T:System.Int32
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.int32
  name: int
  nameWithType: int
  fullName: int
  nameWithType.vb: Integer
  fullName.vb: Integer
  name.vb: Integer
- uid: System.Int64
  commentId: T:System.Int64
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.int64
  name: long
  nameWithType: long
  fullName: long
  nameWithType.vb: Long
  fullName.vb: Long
  name.vb: Long
- uid: System.Collections.Generic.List`1
  commentId: T:System.Collections.Generic.List`1
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.collections.generic.list-1
  name: List<T>
  nameWithType: List<T>
  fullName: System.Collections.Generic.List<T>
  nameWithType.vb: List(Of T)
  fullName.vb: System.Collections.Generic.List(Of T)
  name.vb: List(Of T)
  spec.csharp:
  - uid: System.Collections.Generic.List`1
    name: List
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.list-1
  - name: <
  - name: T
  - name: '>'
  spec.vb:
  - uid: System.Collections.Generic.List`1
    name: List
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.list-1
  - name: (
  - name: Of
  - name: " "
  - name: T
  - name: )
- uid: System.Collections.Generic
  commentId: N:System.Collections.Generic
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system
  name: System.Collections.Generic
  nameWithType: System.Collections.Generic
  fullName: System.Collections.Generic
  spec.csharp:
  - uid: System
    name: System
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system
  - name: .
  - uid: System.Collections
    name: Collections
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections
  - name: .
  - uid: System.Collections.Generic
    name: Generic
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic
  spec.vb:
  - uid: System
    name: System
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system
  - name: .
  - uid: System.Collections
    name: Collections
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections
  - name: .
  - uid: System.Collections.Generic
    name: Generic
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic
- uid: adas_core.Domain.Models.Responses.PaginationResponse`1.PageNumber*
  commentId: Overload:adas_core.Domain.Models.Responses.PaginationResponse`1.PageNumber
  href: adas_core.Domain.Models.Responses.PaginationResponse-1.html#adas_core_Domain_Models_Responses_PaginationResponse_1_PageNumber
  name: PageNumber
  nameWithType: PaginationResponse<T>.PageNumber
  fullName: adas_core.Domain.Models.Responses.PaginationResponse<T>.PageNumber
  nameWithType.vb: PaginationResponse(Of T).PageNumber
  fullName.vb: adas_core.Domain.Models.Responses.PaginationResponse(Of T).PageNumber
- uid: adas_core.Domain.Models.Responses.PaginationResponse`1.PageSize*
  commentId: Overload:adas_core.Domain.Models.Responses.PaginationResponse`1.PageSize
  href: adas_core.Domain.Models.Responses.PaginationResponse-1.html#adas_core_Domain_Models_Responses_PaginationResponse_1_PageSize
  name: PageSize
  nameWithType: PaginationResponse<T>.PageSize
  fullName: adas_core.Domain.Models.Responses.PaginationResponse<T>.PageSize
  nameWithType.vb: PaginationResponse(Of T).PageSize
  fullName.vb: adas_core.Domain.Models.Responses.PaginationResponse(Of T).PageSize
- uid: adas_core.Domain.Models.Responses.PaginationResponse`1.TotalPages*
  commentId: Overload:adas_core.Domain.Models.Responses.PaginationResponse`1.TotalPages
  href: adas_core.Domain.Models.Responses.PaginationResponse-1.html#adas_core_Domain_Models_Responses_PaginationResponse_1_TotalPages
  name: TotalPages
  nameWithType: PaginationResponse<T>.TotalPages
  fullName: adas_core.Domain.Models.Responses.PaginationResponse<T>.TotalPages
  nameWithType.vb: PaginationResponse(Of T).TotalPages
  fullName.vb: adas_core.Domain.Models.Responses.PaginationResponse(Of T).TotalPages
- uid: adas_core.Domain.Models.Responses.PaginationResponse`1.TotalRecords*
  commentId: Overload:adas_core.Domain.Models.Responses.PaginationResponse`1.TotalRecords
  href: adas_core.Domain.Models.Responses.PaginationResponse-1.html#adas_core_Domain_Models_Responses_PaginationResponse_1_TotalRecords
  name: TotalRecords
  nameWithType: PaginationResponse<T>.TotalRecords
  fullName: adas_core.Domain.Models.Responses.PaginationResponse<T>.TotalRecords
  nameWithType.vb: PaginationResponse(Of T).TotalRecords
  fullName.vb: adas_core.Domain.Models.Responses.PaginationResponse(Of T).TotalRecords
- uid: adas_core.Domain.Models.Responses.PaginationResponse`1.Data*
  commentId: Overload:adas_core.Domain.Models.Responses.PaginationResponse`1.Data
  href: adas_core.Domain.Models.Responses.PaginationResponse-1.html#adas_core_Domain_Models_Responses_PaginationResponse_1_Data
  name: Data
  nameWithType: PaginationResponse<T>.Data
  fullName: adas_core.Domain.Models.Responses.PaginationResponse<T>.Data
  nameWithType.vb: PaginationResponse(Of T).Data
  fullName.vb: adas_core.Domain.Models.Responses.PaginationResponse(Of T).Data
